org.apache.felix.ipojo.manipulator.spi.provider

## Class CoreModuleProvider

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.spi.provider.DefaultModuleProvider
  - - org.apache.felix.ipojo.manipulator.spi.provider.CoreModuleProvider

All Implemented Interfaces:
  ModuleProvider

    public class CoreModuleProvider
    extends DefaultModuleProvider

Hardcoded provider for default core manipulation module.

Since:
  1.11.2
Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`CoreModuleProvider()`

### Method Summary

### Methods inherited from class org.apache.felix.ipojo.manipulator.spi.provider.DefaultModuleProvider

`findModules`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CoreModuleProvider

    public CoreModuleProvider()